org.keycloak.proxy

## Class ProxyServerBuilder

- java.lang.Object
- - org.keycloak.proxy.ProxyServerBuilder

-     public class ProxyServerBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ProxyServerBuilder.ApplicationBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected io.undertow.Undertow.Builder` | `builder`
    `protected static org.jboss.logging.Logger` | `log`
    `static io.undertow.server.HttpHandler` | `NOT_FOUND`
    `protected io.undertow.server.HttpHandler` | `proxyHandler`
    `protected io.undertow.server.handlers.PathHandler` | `root`
    `protected boolean` | `sendAccessToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyServerBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProxyServerBuilder` | `addHttpListener(int port, String host)`
    `ProxyServerBuilder` | `addHttpsListener(int port, String host, KeyManager[] keyManagers, TrustManager[] trustManagers)`
    `ProxyServerBuilder` | `addHttpsListener(int port, String host, SSLContext sslContext)`
    `ProxyServerBuilder.ApplicationBuilder` | `application(AdapterConfig config)`
    `io.undertow.Undertow` | `build()`
    `static io.undertow.Undertow` | `build(InputStream configStream)`
    `static io.undertow.Undertow` | `build(ProxyConfig config)`
    `static void` | `initConnections(ProxyConfig config, ProxyServerBuilder builder)`
    `static void` | `initOptions(ProxyConfig config, ProxyServerBuilder builder)`
    `static ProxyConfig` | `loadConfig(InputStream is)`
    `ProxyServerBuilder` | `sendAccessToken(boolean flag)`
    `ProxyServerBuilder` | `setBufferSize(int bufferSize)`
    `ProxyServerBuilder` | `setBuffersPerRegion(int buffersPerRegion)`
    `ProxyServerBuilder` | `setDirectBuffers(boolean directBuffers)`
    `ProxyServerBuilder` | `setIoThreads(int ioThreads)`
    `<T> ProxyServerBuilder` | `setServerOption(org.xnio.Option<T> option, T value)`
    `<T> ProxyServerBuilder` | `setSocketOption(org.xnio.Option<T> option, T value)`
    `<T> ProxyServerBuilder` | `setWorkerOption(org.xnio.Option<T> option, T value)`
    `ProxyServerBuilder` | `setWorkerThreads(int workerThreads)`
    `ProxyServerBuilder` | `target(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

    - #### NOT_FOUND

          public static final io.undertow.server.HttpHandler NOT_FOUND

    - #### builder

          protected io.undertow.Undertow.Builder builder

    - #### root

          protected io.undertow.server.handlers.PathHandler root

    - #### proxyHandler

          protected io.undertow.server.HttpHandler proxyHandler

    - #### sendAccessToken

          protected boolean sendAccessToken

  - ### Constructor Detail

    - #### ProxyServerBuilder

          public ProxyServerBuilder()

  - ### Method Detail

    - #### target

          public ProxyServerBuilder target(String uri)

    - #### sendAccessToken

          public ProxyServerBuilder sendAccessToken(boolean flag)

    - #### application

          public ProxyServerBuilder.ApplicationBuilder application(AdapterConfig config)

    - #### build

          public io.undertow.Undertow build()

    - #### addHttpListener

          public ProxyServerBuilder addHttpListener(int port,
                                           String host)

    - #### addHttpsListener

          public ProxyServerBuilder addHttpsListener(int port,
                                            String host,
                                            KeyManager[] keyManagers,
                                            TrustManager[] trustManagers)

    - #### addHttpsListener

          public ProxyServerBuilder addHttpsListener(int port,
                                            String host,
                                            SSLContext sslContext)

    - #### setBufferSize

          public ProxyServerBuilder setBufferSize(int bufferSize)

    - #### setBuffersPerRegion

          public ProxyServerBuilder setBuffersPerRegion(int buffersPerRegion)

    - #### setIoThreads

          public ProxyServerBuilder setIoThreads(int ioThreads)

    - #### setWorkerThreads

          public ProxyServerBuilder setWorkerThreads(int workerThreads)

    - #### setDirectBuffers

          public ProxyServerBuilder setDirectBuffers(boolean directBuffers)

    - #### setServerOption

          public <T> ProxyServerBuilder setServerOption(org.xnio.Option<T> option,
                                               T value)

    - #### setSocketOption

          public <T> ProxyServerBuilder setSocketOption(org.xnio.Option<T> option,
                                               T value)

    - #### setWorkerOption

          public <T> ProxyServerBuilder setWorkerOption(org.xnio.Option<T> option,
                                               T value)

    - #### loadConfig

          public static ProxyConfig loadConfig(InputStream is)

    - #### build

          public static io.undertow.Undertow build(InputStream configStream)

    - #### build

          public static io.undertow.Undertow build(ProxyConfig config)

    - #### initOptions

          public static void initOptions(ProxyConfig config,
                         ProxyServerBuilder builder)

    - #### initConnections

          public static void initConnections(ProxyConfig config,
                             ProxyServerBuilder builder)

Copyright © 2015. All rights reserved.